Skip to main content
POST
/
v1
/
projects
/
{projectId}
/
test-executions
curl --request POST \
  --url https://eu1.api.matillion.com/dpc/v1/projects/{projectId}/test-executions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "scope": "PROJECT",
  "environmentName": "Dev Environment"
}
'
{
  "testExecutionId": "1398aa31-af57-4a6a-9752-27c2e8556c3f"
}

Documentation Index

Fetch the complete documentation index at: https://docs.maia.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

a valid bearer token

Path Parameters

projectId
string<uuid>
required

Body

application/json
environmentName
string
required

The environment to execute tests in

Maximum string length: 255
Example:

"environment1"

scope
enum<string>
required

Execution scope: TEST, PIPELINE, or PROJECT

Available options:
TEST,
PIPELINE,
PROJECT
Example:

"TEST"

agentId
string

Optional agent ID. If not specified, the default agent for the environment will be used

Example:

"3fa85f64-5717-4562-b3fc-2c963f66afa6"

executionTag
string

Optional tag to control execution concurrency

Maximum string length: 255
Example:

"nightly"

pipelines
object[]

Pipelines whose associated tests to execute (required when scope=PIPELINE)

Maximum array length: 500
tests
object[]

Tests to execute (required when scope=TEST)

Maximum array length: 500
versionName
string

Optional artifact version name to execute tests against

Maximum string length: 255
Example:

"v1.2.3"

Response

Test execution created

testExecutionId
string

Server-generated identifier for the test execution

Example:

"1398aa31-af57-4a6a-9752-27c2e8556c3f"